/*
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Rev: 539 $ $LastChangedDate: 2002-08-25 13:25:13 +0200 (Sun, 25 Aug 2002) $
 *
 * Gont - Main compiler module, exports interface to be used by driver
 * program.
 */

struct compilation_ctx {
	string modulename;
	string input_filename;
	string output_filename;
	string output_xgo_filename;
}

void compile_interface(compilation_ctx ctx);
void compile_implementation(compilation_ctx ctx);
void dump_xml_types(compilation_ctx ctx);
